Subject: Re: bug#39823: 26.3; update-directory-autoloads regression from Emacs 26 to Emacs 27

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Oct 2020 20:06:14 +0200

Eli Zaretskii <[email-masked]> writes:

> Before we go and make all these changes, how about considering the
> solution I proposed up-thread, i.e. leave this alone?  I mean, is it
> really worth all this?  It's an obscure use case with a very easy
> solution/workaround.

I just feel that the logic in these functions is kinda obscure, what
with the mix of dynamically-bound variables, function parameters and
local variables.  The patch removes the former from the mix, making them
easier to reason about (and read).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no